<nz-spin [nzSpinning]="isLoading && !user?.uid">
  <app-main-layout [avatar]="user?.photoURL" title="Profil de {{ user | userName}}"
                   [subTitle]="user?.email"
                   [breadCrumbs]="['Profil de', user | userName]"
                   [alerts]="alerts"
                   [initials]="user | initials"
  >
    <div nz-row *ngIf="user?.uid">
      <div nz-col nzSpan="24">
        <div nz-row>
          <div nz-col nzSpan="24">
            <form (ngSubmit)="updateUser()" *ngIf="userForm" [formGroup]="userForm" nz-form nzLayout="vertical">

              <nz-form-item>
                <nz-form-label nzRequired>Civilités</nz-form-label>
                <nz-form-control [nzErrorTip]="firstNameErrorTpl" nzHasFeedback>
                  <nz-select formControlName="gender" nzPlaceHolder="M. ou Mme">
                    <nz-option nzValue="monsieur" nzLabel="Monsieur"></nz-option>
                    <nz-option nzValue="madame" nzLabel="Madame"></nz-option>
                  </nz-select>
                  <ng-template #firstNameErrorTpl let-control>
                    <ng-container *ngIf="control.hasError('required')">
                      Complétez votre civilité
                    </ng-container>
                  </ng-template>
                </nz-form-control>
              </nz-form-item>

              <nz-form-item>
                <nz-form-label nzRequired>Prénom</nz-form-label>
                <nz-form-control [nzErrorTip]="firstNameErrorTpl" nzHasFeedback
                >
                  <input formControlName="firstName" nz-input placeholder="Votre prénom"/>
                  <ng-template #firstNameErrorTpl let-control>
                    <ng-container *ngIf="control.hasError('required')">
                      Complétez votre prénom
                    </ng-container>
                  </ng-template>
                </nz-form-control>
              </nz-form-item>

              <nz-form-item>
                <nz-form-label nzRequired>Nom</nz-form-label>
                <nz-form-control [nzErrorTip]="lastNameErrorTpl" nzHasFeedback
                >
                  <input formControlName="lastName" nz-input placeholder="Votre Nom"/>
                  <ng-template #lastNameErrorTpl let-control>
                    <ng-container *ngIf="control.hasError('required')">
                      Complétez votre nom
                    </ng-container>
                  </ng-template>
                </nz-form-control>
              </nz-form-item>

              <nz-form-item>
                <nz-form-label nzRequired>Code Postal</nz-form-label>
                <nz-form-control [nzErrorTip]="zipErrorTpl" nzHasFeedback>
                  <input formControlName="zip" nz-input placeholder="Code Postal"/>
                  <ng-template #zipErrorTpl let-control>
                    <ng-container *ngIf="control.hasError('required')">
                      Complétez votre code postal
                    </ng-container>
                  </ng-template>
                </nz-form-control>
              </nz-form-item>

              <nz-form-item>
                <nz-form-label nzRequired>N° Téléphone</nz-form-label>
                <nz-form-control [nzErrorTip]="phoneErrorTpl" nzHasFeedback>
                  <input formControlName="phone" nz-input placeholder="N° de Téléphone"/>
                  <ng-template #phoneErrorTpl let-control>
                    <ng-container *ngIf="control.hasError('required')">
                      Complétez votre N° de téléphone
                    </ng-container>
                  </ng-template>
                </nz-form-control>
              </nz-form-item>

              <nz-form-item>
                <nz-form-label nzRequired>Date de Naissance</nz-form-label>
                <nz-form-control [nzErrorTip]="birthdayErrorTpl" nzHasFeedback>
                  <input type="date" formControlName="birthday" nz-input placeholder="Date de Naissance"/>
                  <ng-template #birthdayErrorTpl let-control>
                    <ng-container *ngIf="control.hasError('required')">
                      Complétez votre date de naissance
                    </ng-container>
                  </ng-template>
                </nz-form-control>
              </nz-form-item>

              <nz-form-item>
                <nz-form-control>
                  <button [disabled]="!userForm.valid" nz-button nzType="primary">Enregistrer les modifications</button>
                </nz-form-control>
              </nz-form-item>

            </form>
          </div>
        </div>

      </div>
    </div>


  </app-main-layout>
</nz-spin>
